Skip to main content
`Ctrl`+`K`

# pandas.tseries.offsets.BusinessMonthBegin.is_on_offset

BusinessMonthBegin.is_on_offset(dt)

  Return boolean whether a timestamp intersects with this frequency.

  Parameters:
    dt datetime.datetime

      Timestamp to check intersections with frequency.

  Examples

      >>> ts = pd.Timestamp(2022, 1, 1)
      >>> freq = pd.offsets.Day(1)
      >>> freq.is_on_offset(ts)
      True

      >>> ts = pd.Timestamp(2022, 8, 6)
      >>> ts.day_name()
      'Saturday'
      >>> freq = pd.offsets.BusinessDay(1)
      >>> freq.is_on_offset(ts)
      False